Bug 65215 - "shutdown -r now" doesn't always.
"shutdown -r now" doesn't always.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-05-20 09:24 EDT by Telsa Gwynne
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Telsa Gwynne 2002-05-20 09:24:43 EDT
Description of Problem:

Intermittently (groan) "shutdown -r now" reaches the end of the messages
about things it's switching off, prints "Restarting system" and then just
sits there. 

SysVinit from the CDs burned from the RH 7.3 release.

How Reproducible: It happened two or three times in a row until I 
tried it again just to confirm it was always. Then it worked. 

Steps to Reproduce:
1. Sony Vaio PCG-SR1K laptop with RH 7.2. Upgrade to RH 7.3.
2. Boot to text (I don't boot straight to X)
3. "shutdown -r now"

Actual Results:

All the shutting down messages until "Restarting system". Then it doesn't.
Have to power off with the power switch, and then switch it back on again
for it to reboot.

Expected Results:

Shutdown and reboot :) 

Additional Information:
I don't know whether this is relevant, and it may be my imagination. I have
always used "poweroff" and "shutdown" as a normal user rather than root on
the laptop, relying on "I own the console, it will do it". I have never needed
to shutdown -r recently, so I don't know whether I needed to be root for that

Since upgrade, I find that "shutdown -r now" won't work if I am end-user;
I need to sudo it. There's nothing in the changelog about this. Is this just
my imagination or has it changed? Is it remotely relevant? (Doubt it, but
you never know.)
Comment 1 Bill Nottingham 2002-06-12 01:27:31 EDT
Whether it actually runs the shutdown process is due to pam_console and its
configuration. However, if it shuts down but then fails to poweroff/reboot,
that's an issue in either the kernel, or very possibly your BIOS.
Comment 2 Bugzilla owner 2004-09-30 11:39:35 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.